servicemix-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ge...@apache.org
Subject svn commit: r1573145 - in /servicemix/smx5/trunk: itests/pom.xml pom.xml
Date Sat, 01 Mar 2014 09:54:56 GMT
Author: gertv
Date: Sat Mar  1 09:54:56 2014
New Revision: 1573145

URL: http://svn.apache.org/r1573145
Log:
Remove a few unused dependencies and properties

Modified:
    servicemix/smx5/trunk/itests/pom.xml
    servicemix/smx5/trunk/pom.xml

Modified: servicemix/smx5/trunk/itests/pom.xml
URL: http://svn.apache.org/viewvc/servicemix/smx5/trunk/itests/pom.xml?rev=1573145&r1=1573144&r2=1573145&view=diff
==============================================================================
--- servicemix/smx5/trunk/itests/pom.xml (original)
+++ servicemix/smx5/trunk/itests/pom.xml Sat Mar  1 09:54:56 2014
@@ -78,6 +78,11 @@
         <artifactId>pax-exam-junit4</artifactId>
         <scope>test</scope>
       </dependency>
+      <dependency>
+        <groupId>org.ops4j.pax.exam</groupId>
+        <artifactId>pax-exam-spi</artifactId>
+        <scope>test</scope>
+      </dependency>
 
       <dependency>
         <groupId>org.ops4j.pax.url</groupId>

Modified: servicemix/smx5/trunk/pom.xml
URL: http://svn.apache.org/viewvc/servicemix/smx5/trunk/pom.xml?rev=1573145&r1=1573144&r2=1573145&view=diff
==============================================================================
--- servicemix/smx5/trunk/pom.xml (original)
+++ servicemix/smx5/trunk/pom.xml Sat Mar  1 09:54:56 2014
@@ -134,76 +134,34 @@
     </repositories>
 
     <properties>
-        <felix.prefs.version>1.0.4</felix.prefs.version>
-
         <!-- CXF -->
         <cxf.codegen-plugin.version>2.4.4</cxf.codegen-plugin.version>
 
         <!-- Geronimo -->
-        <geronimo-annotation.version>1.1.1</geronimo-annotation.version>
         <geronimo-connector.version>2.1.3</geronimo-connector.version>
         <geronimo-j2ee-connector.version>2.0.0</geronimo-j2ee-connector.version>
-        <geronimo-j2ee-management.version>1.0.1</geronimo-j2ee-management.version>
-        <geronimo-jaxws.version>1.0</geronimo-jaxws.version>
         <geronimo-jms.version>1.1.1</geronimo-jms.version>
-        <geronimo-jpa.version>1.1</geronimo-jpa.version>
-        <geronimo-saaj.version>1.0.0</geronimo-saaj.version>
         <geronimo-servlet.version>1.1.2</geronimo-servlet.version>
         <geronimo-ws-metadata.version>1.1.3</geronimo-ws-metadata.version>
         <geronimo-atinject.version>1.0</geronimo-atinject.version>
 
         <!-- ServiceMix Bundles -->
-        <abdera.bundle.version>0.4.0-incubating_4</abdera.bundle.version>
-        <antlr.bundle.version>3.0.1_6</antlr.bundle.version>
-        <antlr-runtime.bundle.version>3.0.1_2</antlr-runtime.bundle.version>
-        <bcel.bundle.version>5.2_3</bcel.bundle.version>
-        <commons-beanutils.bundle.version>1.8.3_1</commons-beanutils.bundle.version>
         <commons-codec.bundle.version>1.8</commons-codec.bundle.version>
         <commons-dbcp.bundle.version>1.4_3</commons-dbcp.bundle.version>
         <commons-httpclient.bundle.version>3.1_7</commons-httpclient.bundle.version>
-        <commons-lang.bundle.version>2.6</commons-lang.bundle.version>
-        <commons-net.bundle.version>2.2</commons-net.bundle.version>
-        <commons-pool.version>1.6</commons-pool.version>
         <commons-io.version>2.4</commons-io.version>
-        <commons-vfs.bundle.version>1.0_5</commons-vfs.bundle.version>
         <derby.bundle.version>10.9.1.0_1</derby.bundle.version>
-        <dom4j.bundle.version>1.6.1_5</dom4j.bundle.version>
         <drools.bundle.version>${drools.version}_1</drools.bundle.version>
-        <fastinfoset.bundle.version>1.2.7_3</fastinfoset.bundle.version>
-        <jasypt.bundle.version>1.9.1_1</jasypt.bundle.version>
         <jaxb.api.version>2.2</jaxb.api.version>
-        <jaxb-impl.bundle.version>2.2.1.1_1</jaxb-impl.bundle.version>
-        <jdt-core.bundle.version>3.2.3_4</jdt-core.bundle.version>
-        <jdom.bundle.version>1.1_4</jdom.bundle.version>
-        <josql.bundle.version>1.5_4</josql.bundle.version>
-        <jsmpp.bundle.version>2.1.0_2</jsmpp.bundle.version>
-        <opensaml.bundle.version>2.4.1_1</opensaml.bundle.version>
-        <jodatime.bundle.version>1.5.2_2</jodatime.bundle.version>
-        <oscore.bundle.version>2.2.4_4</oscore.bundle.version>
         <osgi.version>4.3.1</osgi.version>
-        <osworkflow.bundle.version>2.7.0_4</osworkflow.bundle.version>
-        <oro.bundle.version>2.0.8_4</oro.bundle.version>
-        <propertyset.bundle.version>1.3_4</propertyset.bundle.version>
-        <quartz.bundle.version>1.8.6_1</quartz.bundle.version>
-        <rhino.bundle.version>1.7R1_3</rhino.bundle.version>
-        <saaj-impl.bundle.version>1.3.9_2</saaj-impl.bundle.version>
-        <saxon.bundle.version>9.5.1.2_1</saxon.bundle.version>
         <scala.bundle.version>2.10.2_1</scala.bundle.version>
-        <snmp4j.bundle.version>1.8.1_4</snmp4j.bundle.version>
-        <velocity.bundle.version>1.7_5</velocity.bundle.version>
         <wsdl4j.bundle.version>1.6.2_3</wsdl4j.bundle.version>
-        <xalan.bundle.version>2.7.1_3</xalan.bundle.version>
-        <xerces.bundle.version>2.9.1_4</xerces.bundle.version>
-        <xmlbeans.bundle.version>2.5.0_1</xmlbeans.bundle.version>
-        <xmlresolver.bundle.version>1.2_3</xmlresolver.bundle.version>
-        <xmlsec.bundle.version>1.5.1</xmlsec.bundle.version>
-        <xpp3.bundle.version>1.1.4c_5</xpp3.bundle.version>
-        <xstream.bundle.version>1.4.5_1</xstream.bundle.version>
         <swagger.bundle.version>1.3.0_1</swagger.bundle.version>
         <javassist.bundle.version>3.12.1.GA_2</javassist.bundle.version>
         <reflections.bundle.version>0.9.8_1</reflections.bundle.version>
         <json4s.bundle.version>3.2.4_1</json4s.bundle.version>
         <jackson-module-scala.bundle.version>2.1.5_2</jackson-module-scala.bundle.version>
+
         <!-- ServiceMix legal shared resources -->
         <servicemix.legal.version>1.0</servicemix.legal.version>
 
@@ -214,87 +172,23 @@
         <maven-bundle-plugin.version>2.3.7</maven-bundle-plugin.version>
 
         <!-- Other Dependencies -->
-        <axiom.version>1.2.12</axiom.version>
-        <bouncycastle.version>140</bouncycastle.version>
-        <commons-codec.version>1.4</commons-codec.version>
-        <commons-collections.version>3.2.1</commons-collections.version>
-        <commons-jexl.version>2.0.1</commons-jexl.version>
         <commons-lang.version>2.6</commons-lang.version>
-        <commons-logging.version>1.1.1</commons-logging.version>
         <drools.version>5.5.0.Final</drools.version>
-        <groovy.version>1.8.3</groovy.version>
-        <hawtbuf.version>1.9</hawtbuf.version>
         <h2.version>1.3.167</h2.version>
-        <jackson.version>1.9.2</jackson.version>
-        <jaxp-ri.version>1.4.4</jaxp-ri.version>
         <xerces.version>2.11.0</xerces.version>
         <xml.api.version>2.11.0-20110622</xml.api.version>
         <xalan.version>2.7.1</xalan.version>
-        <jaxws-api.version>2.2</jaxws-api.version>
-        <jetty.version>7.4.5.v20110725</jetty.version>
-        <jettison.version>1.3.5</jettison.version>
-        <joda-time.version>1.6.2</joda-time.version>
-        <lingo.version>1.3</lingo.version>
         <mybatis.version>3.1.1</mybatis.version>
-        <pax.tinybundle.version>1.0.0</pax.tinybundle.version>
-        <pax.swissbox.version>1.7.0</pax.swissbox.version>
         <pax.exam.version>3.4.0</pax.exam.version>
         <pax.url.version>1.3.6</pax.url.version>
-        <pojosr.version>0.2.1</pojosr.version>
         <postgresql.version>9.1-901</postgresql.version>
-        <scalatest.version>1.9.1</scalatest.version>
-        <scriptengines.version>1.1</scriptengines.version>
         <slf4j.version>1.6.6</slf4j.version>
         <spring.version>3.2.4.RELEASE</spring.version>
-        <spring.osgi.version>1.2.1</spring.osgi.version>
         <wss4j.version>1.6.7</wss4j.version>
-        <neethi.version>3.0.0</neethi.version>
-        <xfire.version>1.0.1</xfire.version>
-        <xbean.version>3.15</xbean.version>
-        <xmlschema.version>2.0</xmlschema.version>
     </properties>
 
     <dependencyManagement>
        <dependencies>
-
-           <!-- OSGi and Felix -->
-           <dependency>
-               <groupId>org.apache.felix</groupId>
-               <artifactId>org.apache.felix.prefs</artifactId>
-               <version>${felix.prefs.version}</version>
-           </dependency>
-
-           <!-- Geronimo -->
-           <dependency>
-               <groupId>org.apache.geronimo.specs</groupId>
-               <artifactId>geronimo-annotation_1.0_spec</artifactId>
-               <version>${geronimo-annotation.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.geronimo.specs</groupId>
-               <artifactId>geronimo-j2ee-connector_1.5_spec</artifactId>
-               <version>${geronimo-j2ee-connector.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.geronimo.specs</groupId>
-               <artifactId>geronimo-j2ee-management_1.1_spec</artifactId>
-               <version>${geronimo-j2ee-management.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.geronimo.specs</groupId>
-               <artifactId>geronimo-jaxws_2.2_spec</artifactId>
-               <version>${geronimo-jaxws.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.geronimo.specs</groupId>
-               <artifactId>geronimo-jpa_2.0_spec</artifactId>
-               <version>${geronimo-jpa.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.geronimo.specs</groupId>
-               <artifactId>geronimo-saaj_1.3_spec</artifactId>
-               <version>${geronimo-saaj.version}</version>
-           </dependency>
            <dependency>
                <groupId>org.apache.geronimo.specs</groupId>
                <artifactId>geronimo-ws-metadata_2.0_spec</artifactId>
@@ -306,252 +200,20 @@
                 <version>${geronimo-atinject.version}</version>
            </dependency>
 
-           <!-- Spring -->
-           <dependency>
-               <groupId>org.springframework</groupId>
-               <artifactId>spring-context-support</artifactId>
-               <version>${spring.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.springframework</groupId>
-               <artifactId>spring-expression</artifactId>
-               <version>${spring.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.springframework</groupId>
-               <artifactId>spring-tx</artifactId>
-               <version>${spring.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.springframework.osgi</groupId>
-               <artifactId>spring-osgi-core</artifactId>
-               <version>${spring.osgi.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.springframework.osgi</groupId>
-               <artifactId>spring-osgi-io</artifactId>
-               <version>${spring.osgi.version}</version>
-           </dependency>
-
            <!-- ServiceMix Bundles -->
            <dependency>
                <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.dom4j</artifactId>
-               <version>${dom4j.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.abdera</artifactId>
-               <version>${abdera.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.antlr</artifactId>
-               <version>${antlr.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.antlr-runtime</artifactId>
-               <version>${antlr-runtime.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.bcel</artifactId>
-               <version>${bcel.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.commons-beanutils</artifactId>
-               <version>${commons-beanutils.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>commons-codec</groupId>
-               <artifactId>commons-codec</artifactId>
-               <version>${commons-codec.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
                <artifactId>org.apache.servicemix.bundles.commons-httpclient</artifactId>
                <version>${commons-httpclient.bundle.version}</version>
            </dependency>
            <dependency>
-               <groupId>commons-net</groupId>
-               <artifactId>commons-net</artifactId>
-               <version>${commons-net.bundle.version}</version>
-           </dependency>
-            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>${commons-io.version}</version>
            </dependency>
-           <dependency>
-               <groupId>commons-pool</groupId>
-               <artifactId>commons-pool</artifactId>
-               <version>${commons-pool.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.commons-vfs</artifactId>
-               <version>${commons-vfs.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.fastinfoset</artifactId>
-               <version>${fastinfoset.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.jaxb-impl</artifactId>
-               <version>${jaxb-impl.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.jdom</artifactId>
-               <version>${jdom.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.jdt-core</artifactId>
-               <version>${jdt-core.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.josql</artifactId>
-               <version>${josql.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.jsmpp</artifactId>
-               <version>${jsmpp.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.mvel</artifactId>
-               <version>${mvel.bundle.version}</version>
-           </dependency>
-           <dependency>
-                <groupId>org.apache.neethi</groupId>
-                <artifactId>neethi</artifactId>
-                <version>${neethi.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.joda-time</artifactId>
-               <version>${jodatime.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.opensaml</artifactId>
-               <version>${opensaml.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.oro</artifactId>
-               <version>${oro.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.oscore</artifactId>
-               <version>${oscore.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.osworkflow</artifactId>
-               <version>${osworkflow.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.propertyset</artifactId>
-               <version>${propertyset.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.quartz</artifactId>
-               <version>${quartz.bundle.version}</version>
-           </dependency>
-           <dependency>
-                <groupId>org.apache.servicemix.bundles</groupId>
-                <artifactId>org.apache.servicemix.bundles.rhino</artifactId>
-                <version>${rhino.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.saaj-impl</artifactId>
-               <version>${saaj-impl.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.saxon</artifactId>
-               <version>${saxon.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.snmp4j</artifactId>
-               <version>${snmp4j.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.velocity</artifactId>
-               <version>${velocity.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.commons-lang</artifactId>
-               <version>${commons-lang.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.xalan</artifactId>
-               <version>${xalan.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.xerces</artifactId>
-               <version>${xerces.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.xmlbeans</artifactId>
-               <version>${xmlbeans.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.servicemix.bundles</groupId>
-               <artifactId>org.apache.servicemix.bundles.xmlresolver</artifactId>
-               <version>${xmlresolver.bundle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.santuario</groupId>
-               <artifactId>xmlsec</artifactId>
-               <version>${xmlsec.bundle.version}</version>
-           </dependency>
            
            <!-- Other Dependencies -->
            <dependency>
-               <groupId>bouncycastle</groupId>
-               <artifactId>bcprov-jdk14</artifactId>
-               <version>${bouncycastle.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>com.google.code.scriptengines</groupId>
-               <artifactId>scriptengines-javascript</artifactId>
-               <version>${scriptengines.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>com.google.code.scriptengines</groupId>
-               <artifactId>scriptengines-jruby</artifactId>
-               <version>${scriptengines.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>com.google.code.scriptengines</groupId>
-               <artifactId>scriptengines-groovy</artifactId>
-               <version>${scriptengines.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>com.sun.xml.parsers</groupId>
-               <artifactId>jaxp-ri</artifactId>
-               <version>${jaxp-ri.version}</version>
-           </dependency>
-           <dependency>
                <groupId>org.apache.xerces</groupId>
                <artifactId>xercesImpl</artifactId>
                <version>${xerces.version}</version>
@@ -572,214 +234,48 @@
                <version>${xalan.version}</version>
            </dependency>
            <dependency>
-               <groupId>commons-logging</groupId>
-               <artifactId>commons-logging</artifactId>
-               <version>${commons-logging.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>javax.xml.ws</groupId>
-               <artifactId>jaxws-api</artifactId>
-               <version>${jaxws-api.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.commons</groupId>
-               <artifactId>commons-jexl</artifactId>
-               <version>${commons-jexl.version}</version>
-           </dependency>
-           <dependency>
-                <groupId>org.apache.ws.xmlschema</groupId>
-                <artifactId>xmlschema-core</artifactId>
-                <version>${xmlschema.version}</version>
-                <exclusions>
-                    <!-- on IBM jdk, XmlSchema pulls these in -->
-                    <exclusion>
-                        <groupId>org.apache.bcel</groupId>
-                        <artifactId>bcel</artifactId>
-                    </exclusion>
-                    <exclusion>
-                        <groupId>xalan</groupId>
-                        <artifactId>xalan</artifactId>
-                    </exclusion>
-                </exclusions>
-            </dependency>
-           <dependency>
-               <groupId>org.apache.ws.commons.axiom</groupId>
-               <artifactId>axiom-api</artifactId>
-               <version>${axiom.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.ws.commons.axiom</groupId>
-               <artifactId>axiom-impl</artifactId>
-               <version>${axiom.version}</version>
-           </dependency>
-           <dependency>
                <groupId>org.apache.ws.security</groupId>
                <artifactId>wss4j</artifactId>
                <version>${wss4j.version}</version>
            </dependency>
            <dependency>
-               <groupId>org.apache.xbean</groupId>
-               <artifactId>xbean-blueprint</artifactId>
-               <version>${xbean.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.apache.xbean</groupId>
-               <artifactId>xbean-spring</artifactId>
-               <version>${xbean.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.codehaus.jettison</groupId>
-               <artifactId>jettison</artifactId>
-               <version>${jettison.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.codehaus.groovy</groupId>
-               <artifactId>groovy-all</artifactId>
-               <version>${groovy.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.drools</groupId>
-               <artifactId>drools-compiler</artifactId>
-               <version>${drools.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.logicblaze.lingo</groupId>
-               <artifactId>lingo</artifactId>
-               <version>${lingo.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>xfire</groupId>
-               <artifactId>opensaml</artifactId>
-               <version>${xfire.version}</version>
-           </dependency>
-
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-util</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-client</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-io</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-http</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-continuation</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-webapp</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-server</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-security</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-servlet</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-servlets</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-xml</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-               <groupId>org.eclipse.jetty</groupId>
-               <artifactId>jetty-jmx</artifactId>
-               <version>${jetty.version}</version>
-           </dependency>
-           <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam</artifactId>
-                <version>${pax.exam.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam-container-karaf</artifactId>
-                <version>${pax.exam.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam-container-remote</artifactId>
-                <version>${pax.exam.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam-spi</artifactId>
-                <version>${pax.exam.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam-container-rbc</artifactId>
-                <version>${pax.exam.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam-container-rbc-client</artifactId>
-                <version>${pax.exam.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.exam</groupId>
-                <artifactId>pax-exam-junit4</artifactId>
-                <version>${pax.exam.version}</version>
-                <scope>test</scope>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.swissbox</groupId>
-                <artifactId>pax-swissbox-bnd</artifactId>
-                <version>${pax.swissbox.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.swissbox</groupId>
-                <artifactId>pax-swissbox-lifecycle</artifactId>
-                <version>${pax.swissbox.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.swissbox</groupId>
-                <artifactId>pax-swissbox-property</artifactId>
-                <version>${pax.swissbox.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.swissbox</groupId>
-                <artifactId>pax-swissbox-tracker</artifactId>
-                <version>${pax.swissbox.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.url</groupId>
-                <artifactId>pax-url-mvn</artifactId>
-                <version>${pax.url.version}</version>
-            </dependency>
-            <dependency>
-                <groupId>org.ops4j.pax.url</groupId>
-                <artifactId>pax-url-commons</artifactId>
-                <version>${pax.url.version}</version>
-            </dependency>
-       </dependencies>
+               <groupId>org.ops4j.pax.url</groupId>
+               <artifactId>pax-url-mvn</artifactId>
+               <version>${pax.url.version}</version>
+           </dependency>
+
+           <!-- Pax Exam -->
+           <dependency>
+               <groupId>org.ops4j.pax.exam</groupId>
+               <artifactId>pax-exam</artifactId>
+               <version>${pax.exam.version}</version>
+               <scope>test</scope>
+           </dependency>
+           <dependency>
+               <groupId>org.ops4j.pax.exam</groupId>
+               <artifactId>pax-exam-container-karaf</artifactId>
+               <version>${pax.exam.version}</version>
+               <scope>test</scope>
+           </dependency>
+           <dependency>
+               <groupId>org.ops4j.pax.exam</groupId>
+               <artifactId>pax-exam-container-remote</artifactId>
+               <version>${pax.exam.version}</version>
+               <scope>test</scope>
+           </dependency>
+           <dependency>
+               <groupId>org.ops4j.pax.exam</groupId>
+               <artifactId>pax-exam-junit4</artifactId>
+               <version>${pax.exam.version}</version>
+               <scope>test</scope>
+           </dependency>
+           <dependency>
+               <groupId>org.ops4j.pax.exam</groupId>
+               <artifactId>pax-exam-spi</artifactId>
+               <version>${pax.exam.version}</version>
+               <scope>test</scope>
+           </dependency>
+        </dependencies>
     </dependencyManagement>
 
     <build>



Mime
View raw message